# class String

### Public Instance Methods

to_d → bigdecimal click to toggle source

Returns the result of interpreting leading characters in `str` as a BigDecimal.

    require 'bigdecimal'
    require 'bigdecimal/util'

    "0.5".to_d             # => 0.5e0
    "123.45e1".to_d        # => 0.12345e4
    "45.67 degrees".to_d   # => 0.4567e2

See also BigDecimal.new.

    # File lib/bigdecimal/util.rb, line 67
    def to_d
      begin
        BigDecimal(self)
      rescue ArgumentError
        BigDecimal(0)
      end
    end